Skip to main content
GET
/
v1
/
w3s
/
user
/
challenges
/
{id}
Get a challenge
curl --request GET \
  --url https://api.circle.com/v1/w3s/user/challenges/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-User-Token: <x-user-token>'
import requests

url = "https://api.circle.com/v1/w3s/user/challenges/{id}"

headers = {
"X-User-Token": "<x-user-token>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-User-Token': '<x-user-token>', Authorization: 'Bearer <token>'}
};

fetch('https://api.circle.com/v1/w3s/user/challenges/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "challenge": {
      "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
      "status": "PENDING",
      "type": "SET_PIN",
      "correlationIds": [
        "54399e5a-1bf6-4921-9559-10c1115678cd"
      ],
      "errorCode": 155121,
      "errorMessage": "challenge expired"
    }
  }
}
{
"code": 400,
"message": "Bad request."
}
{
"code": 401,
"message": "Malformed authorization."
}
{
"code": 404,
"message": "Not found."
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.

Headers

X-User-Token
string
required

Unique system generated JWT session token for specific user.

X-Request-Id
string<uuid>

Developer-provided identifier for this request, used for tracing requests in Wallets API logs and the Developer Console, and when communicating with Circle Support. Must be a UUID to appear in logs. Non-UUID values are accepted by the API but are ignored by logging and tracing systems.

A unique identifier, which can be helpful for identifying a request when communicating with Circle support.

Example:

"2adba88e-9d63-44bc-b975-9b6ae3440dde"

Path Parameters

id
string<uuid>
required

The universally unique identifier of the resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Response

Successfully retrieved the challenge.

data
object
required